<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: AutomateException Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_automate_exception-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AutomateException Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe permettant de lever des exceptions liees a un <a class="el" href="class_automate.html" title="Objet mere. ">Automate</a>. Lorsqu une exception est levee, on recupere une chaine de caracteres contenant l'information.  
 <a href="class_automate_exception.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="etat_8h_source.html">etat.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a324660f942b04229a4795cc80c3dbe82"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_automate_exception.html#a324660f942b04229a4795cc80c3dbe82">AutomateException</a> (const std::string &amp;message)</td></tr>
<tr class="memdesc:a324660f942b04229a4795cc80c3dbe82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur.  <a href="#a324660f942b04229a4795cc80c3dbe82">More...</a><br /></td></tr>
<tr class="separator:a324660f942b04229a4795cc80c3dbe82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cd3843008b505a523231877bbf88699"><td class="memItemLeft" align="right" valign="top"><a id="a7cd3843008b505a523231877bbf88699"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_automate_exception.html#a7cd3843008b505a523231877bbf88699">getInfo</a> () const</td></tr>
<tr class="memdesc:a7cd3843008b505a523231877bbf88699"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne la chaine de caracetere correspondant a l'exception relevee et contenu dans l'attribut info de l'<a class="el" href="class_automate_exception.html" title="Classe permettant de lever des exceptions liees a un Automate. Lorsqu une exception est levee...">AutomateException</a>. <br /></td></tr>
<tr class="separator:a7cd3843008b505a523231877bbf88699"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe permettant de lever des exceptions liees a un <a class="el" href="class_automate.html" title="Objet mere. ">Automate</a>. Lorsqu une exception est levee, on recupere une chaine de caracteres contenant l'information. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a324660f942b04229a4795cc80c3dbe82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a324660f942b04229a4795cc80c3dbe82">&#9670;&nbsp;</a></span>AutomateException()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AutomateException::AutomateException </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructeur. </p>
<p>Constructeur de la classe <a class="el" href="class_automate_exception.html" title="Classe permettant de lever des exceptions liees a un Automate. Lorsqu une exception est levee...">AutomateException</a></p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">message</td><td>On construit notre automate avec la chaine de caractere recuperee </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="etat_8h_source.html">etat.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
